Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 638252 - dev-libs/ucommon-7.0.0 stable request
Summary: dev-libs/ucommon-7.0.0 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL:
Whiteboard: Was: dev-libs/ucommon-6.5.7 : ../.../...
Keywords:
Depends on: 663560
Blocks: EAPI5Removal gcc-7 676722
  Show dependency tree
 
Reported: 2017-11-20 17:10 UTC by Toralf Förster
Modified: 2020-12-28 12:42 UTC (History)
1 user (show)

See Also:
Package list:
dev-libs/ucommon-7.0.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
emerge-info.txt (emerge-info.txt,15.38 KB, text/plain)
2017-11-20 17:10 UTC, Toralf Förster
no flags Details
dev-libs:ucommon-6.5.7:20171120-142049.log (dev-libs:ucommon-6.5.7:20171120-142049.log,17.50 KB, text/plain)
2017-11-20 17:10 UTC, Toralf Förster
no flags Details
emerge-history.txt (emerge-history.txt,61.84 KB, text/plain)
2017-11-20 17:10 UTC, Toralf Förster
no flags Details
environment (environment,92.54 KB, text/plain)
2017-11-20 17:10 UTC, Toralf Förster
no flags Details
etc.portage.tbz2 (etc.portage.tbz2,12.06 KB, application/x-bzip)
2017-11-20 17:10 UTC, Toralf Förster
no flags Details
logs.tbz2 (logs.tbz2,12.81 KB, application/x-bzip)
2017-11-20 17:10 UTC, Toralf Förster
no flags Details
temp.tbz2 (temp.tbz2,27.97 KB, application/x-bzip)
2017-11-20 17:11 UTC, Toralf Förster
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-11-20 17:10:39 UTC
In file included from object.cpp:22:0:
../inc/ucommon/object.h: In member function ‘const T* ucommon::sarray<T>::at(unsigned int) const’:
../inc/ucommon/object.h:305:60: error: no matching function for call to ‘ucommon::sarray<T>::get(unsigned int&) const’
         return immutable_cast<T*>(SparseObjects::get(offset));
                                                            ^
../inc/ucommon/object.h:243:21: note: candidate: ucommon::ObjectProtocol* ucommon::SparseObjects::get(unsigned int) <near match>

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop-plasma-systemd_test_20171118-222131

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-libs/ucommon
[ebuild  N    ] dev-libs/ucommon-6.5.7  USE="cxx ssl -debug -doc -gnutls -libressl -socks -static-libs"
Comment 1 Toralf Förster gentoo-dev 2017-11-20 17:10:42 UTC
Created attachment 505194 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-11-20 17:10:45 UTC
Created attachment 505196 [details]
dev-libs:ucommon-6.5.7:20171120-142049.log
Comment 3 Toralf Förster gentoo-dev 2017-11-20 17:10:48 UTC
Created attachment 505198 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-11-20 17:10:51 UTC
Created attachment 505200 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-11-20 17:10:54 UTC
Created attachment 505202 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-11-20 17:10:57 UTC
Created attachment 505204 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2017-11-20 17:11:00 UTC
Created attachment 505206 [details]
temp.tbz2
Comment 8 René Fuchs 2018-08-13 10:21:50 UTC
bug also exists with sys-devel/gcc-7.3.0-r3
Comment 9 Pacho Ramos gentoo-dev 2018-10-14 10:14:32 UTC
we would need to stabilize 7.0
Comment 10 René Fuchs 2018-10-18 08:03:59 UTC
can be closed, ucommon 7.0.0 is already add
Comment 11 Pacho Ramos gentoo-dev 2019-02-02 11:53:19 UTC
Still failing
Comment 12 Thomas Deutschmann gentoo-dev Security 2019-02-15 00:53:50 UTC
x86 stable
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-15 19:13:37 UTC
amd64 stable
Comment 14 Larry the Git Cow gentoo-dev 2020-12-28 12:42:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b355dd860e37380ee48cc9a4ca6ea080130a1015

commit b355dd860e37380ee48cc9a4ca6ea080130a1015
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-12-28 12:42:08 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-12-28 12:42:22 +0000

    dev-libs/ucommon: Drop old, EAPI5--
    
    Closes: https://bugs.gentoo.org/638252
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-libs/ucommon/Manifest                          |  2 -
 .../files/ucommon-6.0.3-disable_rtf_gen_doxy.patch | 18 -----
 .../files/ucommon-6.0.3-gcrypt_autotools.patch     | 59 ---------------
 .../files/ucommon-6.3.1-gcrypt_autotools.patch     | 48 -------------
 dev-libs/ucommon/metadata.xml                      |  3 -
 dev-libs/ucommon/ucommon-6.0.3.ebuild              | 76 --------------------
 dev-libs/ucommon/ucommon-6.5.7.ebuild              | 83 ----------------------
 7 files changed, 289 deletions(-)